## petsc 3.22.2+dfsg1

=== debian/changelog ===
petsc (3.22.2+dfsg1-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 16 Dec 2024 22:20:21 +0000

petsc (3.22.2+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Dec 2024 19:23:27 +0100

petsc (3.22.1+dfsg1-2ubuntu3) plucky; urgency=medium

  * No-change rebuild for mpich_4.2.1-2.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 11 Dec 2024 22:01:14 +0000

petsc (3.22.1+dfsg1-2ubuntu2) plucky; urgency=medium

  * No-change rebuild for libopenmpi40

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 05 Dec 2024 12:02:32 +0000

petsc (3.22.1+dfsg1-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Nov 2024 10:55:21 +0100

petsc (3.22.1+dfsg1-2) unstable; urgency=medium

  * upload petsc 3.22 to unstable. Transition #1082552.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Nov 2024 23:25:32 +0100

petsc (3.22.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.22.
    - applies debian patch fix_build_tests_MR7789.patch
  * drop debian patch ptscotch_without_bison_MR5787.diff.
    It was applied upstream in PETSc 3.18.
  * replace debian patch soname_extension with upstream MR7989
    and add soname_extension_MR8026.patch (upstream MR8026).
    Uses configuration option --with-library-name-suffix instead of
    --shared-library-extension.

 -- Drew Parsons <dparsons@debian.org>  Tue, 26 Nov 2024 12:35:36 +0100

petsc (3.21.6+dfsg1-3) unstable; urgency=medium

  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
    Use the new variable name in debian/rules and debian/tests.
  * OpenMPI 5.0 changed the name of the environment variable to set the SSH
    agent from
       export OMPI_MCA_plm_rsh_agent=/bin/false
    to
       export PRTE_MCA_plm_ssh_agent=/bin/false
    Use the new variable name in debian/rules and debian/tests.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 20 Nov 2024 06:42:09 +0000

=== debian/control ===
Source: petsc
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 "Adam C. Powell, IV" <hazelsct@debian.org>,
 Drew Parsons <dparsons@debian.org>,
 Francesco Ballarin <francesco.ballarin@unicatt.it>
Standards-Version: 4.7.0
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), python3, gfortran,
 pkgconf, dh-python,
 dh-fortran-mod,
 gdb,
 mpi-default-dev (>= 1.17),
 ocl-icd-opencl-dev | opencl-dev,
 libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
 liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
 libsuitesparse-dev (>= 1:5.6.0),
 libhypre-dev (>= 2.21.0),
 libhypre64m-dev (>= 2.21.0) [amd64 arm64 mips64el ppc64el s390x alpha ia64 loong64 ppc64 riscv64 sparc64],
 libptscotch-dev,
 libhdf5-mpi-dev (>= 1.10.6+repack-1),
 libscalapack-mpi-dev,
 libmumps-dev (>= 5.2.1~), libmumps64-dev,
 libfftw3-dev, libfftw3-mpi-dev, libssl-dev,
 libsuperlu-dev (>= 5.2.1), libsuperlu-dist-dev (>= 6.1.1),
 libx11-dev,
 libyaml-dev,
 valgrind-mpi [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
 sphinx-common | python3-sphinx | dh-sequence-sphinxdoc
Build-Depends-Indep: libjs-sphinxdoc, libjs-mathjax,
 libjs-jquery, libjs-jquery-ui
Vcs-Git: https://salsa.debian.org/science-team/petsc.git
Vcs-Browser: https://salsa.debian.org/science-team/petsc
Homepage: http://www.mcs.anl.gov/petsc

Package: petsc-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: libpetsc-real-dev, ${misc:Depends}
Description: Virtual package depending on latest PETSc development package
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This metapackage installs libpetsc-real-dev, which will always depend
 on the most recent version of PETSc with real number support. So if
 you install it then you will get upgrades automatically.

Package: libpetsc-real-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: libpetsc-real3.22-dev, ${misc:Depends}
Description: Virtual package depending on latest PETSc development package
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This is a dummy package which depends on the most recent version of
 libpetsc-realX-dev with real number support (X=version).

Package: libpetsc-complex-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: libpetsc-complex3.22-dev, ${misc:Depends}
Description: Virtual package depending on latest PETSc development package
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This is a dummy package which depends on the most recent version of
 libpetsc-complexX-dev with complex number support (X=version).

Package: libpetsc-real3.22-dev
Multi-Arch: same
Architecture: any
Section: libdevel
Depends: libpetsc-real3.22 (= ${binary:Version}),
 libpetsc3.22-dev-common (= ${source:Version}),
 mpi-default-dev,
 libhypre-dev (>= 2.15.1),
 libmumps-dev,
 gfortran,
 valgrind-mpi [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
 ${misc:Depends}, ${fortran:Depends},
 python3, ${python3:Depends}
Conflicts: libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2),
 libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
Recommends: libpetsc3.22-dev-examples, ksh | mksh | pdksh | zsh
Suggests: petsc-dev, libpetsc-real3.22-dbg (= ${binary:Version}), petsc3.22-doc, libluminate-dev
Description: Static libraries, shared links, header files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides the development files for building applications
 using PETSc 3.22 with real numbers.

Package: libpetsc-real3.22
Architecture: any
Multi-Arch: same
Section: libs
Provides: libpetsc3.22, ${t64:Provides}
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpetsc3.6 (<< 3.6.2.dfsg1-4)
Breaks: libpetsc-real3.10, libslepc-real3.10, libpetsc3.10-dev-common, libpetsc3.10-dev-examples
Replaces: libpetsc3.6 (<< 3.6.2.dfsg1-4)
Description: Shared libraries for version 3.22 of PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package contains the PETSc 3.22 shared library for real numbers.
 .
 It provides soname libpetsc-real3.22

Package: libpetsc3.22-dev-common
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: libjs-jquery, libjs-jquery-ui,
 libjs-mathjax,
 libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
 liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
 libsuitesparse-dev,
 libptscotch-dev, libscalapack-mpi-dev,
 libfftw3-dev, libfftw3-mpi-dev, libssl-dev,
 ocl-icd-opencl-dev | opencl-dev,
 libhdf5-mpi-dev (>= 1.8.8),
 libsuperlu-dev (>= 5.2), libsuperlu-dist-dev,
 libx11-dev,
 libyaml-dev,
 ${misc:Depends}, ${python3:Depends},
 ${sphinxdoc:Depends}
Recommends: libpetsc-real3.22-dev | libpetsc-complex3.22-dev
Description: Common header and support dev files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides header and other support files common to the
 various dev packages (with real or complex number support) for PETSc 3.22.

Package: libpetsc3.22-dev-examples
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}, ${python3:Depends},
 libjs-mathjax
Recommends: ksh | mksh | pdksh | zsh,
 libpetsc-real3.22-dev | libpetsc-complex3.22-dev | libpetsc-real3.22-dbg | libpetsc-complex3.22-dbg
Suggests: petsc3.22-doc
Description: Static libraries, shared links, header files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides example, test, and tutorial scripts for PETSc 3.22.

Package: libpetsc-real3.22-dbg
Architecture: any
Multi-Arch: same
Section: debug
Pre-Depends: ${misc:Pre-Depends}
Depends: libpetsc-real3.22-dev (= ${binary:Version}),
 libpetsc3.22-dev-common (= ${source:Version}),
 ${misc:Depends}, ${shlibs:Depends}, ${fortran:Depends},
 python3, ${python3:Depends}
Recommends: libpetsc3.22-dev-examples, ksh | mksh | pdksh | zsh
Provides: petsc3.22-dbg, ${t64:Provides}
Description: Debugging libraries for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides the development files and debugging libraries for
 debugging applications using PETSc 3.22 with real numbers.
 .
 Libraries include unstripped symbols, but this package is also built with
 internal PETSc debugging activated (--with-debugging=1).

Package: petsc3.22-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: sphinx-common, libjs-sphinxdoc, ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: libpetsc-real3.22-dev (= ${binary:Version}), illuminator-doc
Description: Documentation and examples for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package contains documentation for developing with PETSc 3.22.

Package: libpetsc-complex3.22-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpetsc-complex3.22 (= ${binary:Version}),
 libpetsc3.22-dev-common (= ${source:Version}),
 mpi-default-dev,
 libmumps-dev,
 gfortran,
 valgrind-mpi [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
 ${misc:Depends}, ${fortran:Depends},
 python3, ${python3:Depends}
Conflicts: libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2),
 libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
Recommends: libpetsc3.22-dev-examples, ksh | mksh | pdksh | zsh
Suggests: petsc-dev, libpetsc-complex3.22-dbg (= ${binary:Version}), petsc3.22-doc, libluminate-dev
Description: Static libraries, shared links, header files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides the development files for building applications
 using PETSc 3.22 with support for complex numbers.
 .
 Note HYPRE is not supported with PETSc complex.

Package: libpetsc-complex3.22
Provides: ${t64:Provides}
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)
Breaks: libpetsc-complex3.10, libslepc-complex3.10, libpetsc3.10-dev-common, libpetsc3.10-dev-examples

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DEB_SOURCE_PACKAGE := $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
DEB_VERSION := $(shell dpkg-parsechangelog -S Version)
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/[\.\+]dfsg.*$$//' )

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append FLAGS
export DEB_CFLAGS_MAINT_APPEND  = -fPIC
export DEB_CXXFLAGS_MAINT_APPEND  = -fPIC
export DEB_FFLAGS_MAINT_APPEND  = -fPIC -ffree-line-length-0
export DEB_FCFLAGS_MAINT_APPEND  = $(DEB_FFLAGS_MAINT_APPEND)
export DEB_LDFLAGS_MAINT_APPEND = -fPIC

# keep the build dir (in the -fdebug-prefix-map flag) out of the installed config files,
# by applying the flag only at build time not configure time
export CFLAGS_NO_DEBUG_PREFIX_MAP := $(shell echo $(CFLAGS) | sed "s/ -fdebug-prefix-map=[^ ]* / /" )
export CFLAGS_DEBUG_PREFIX_MAP := $(shell echo $(CFLAGS) | sed -n "s/^.*\(-fdebug-prefix-map=[^ ]*\) .*$$/\1/p" )
export CXXFLAGS_NO_DEBUG_PREFIX_MAP := $(shell echo $(CXXFLAGS) | sed "s/ -fdebug-prefix-map=[^ ]* / /" )
export CXXFLAGS_DEBUG_PREFIX_MAP := $(shell echo $(CXXFLAGS) | sed -n "s/^.*\(-fdebug-prefix-map=[^ ]*\) .*$$/\1/p" )
export FCFLAGS_NO_DEBUG_PREFIX_MAP := $(shell echo $(FCFLAGS) | sed "s/ -fdebug-prefix-map=[^ ]* / /" )
export FCFLAGS_DEBUG_PREFIX_MAP := $(shell echo $(FCFLAGS) | sed -n "s/^.*\(-fdebug-prefix-map=[^ ]*\) .*$$/\1/p" )
export FFLAGS_NO_DEBUG_PREFIX_MAP := $(shell echo $(FFLAGS) | sed "s/ -fdebug-prefix-map=[^ ]* / /" )
export FFLAGS_DEBUG_PREFIX_MAP := $(shell echo $(FFLAGS) | sed -n "s/^.*\(-fdebug-prefix-map=[^ ]*\) .*$$/\1/p" )

# Overriding this with "contrib" attempts to link with parmetis (unimplemented).
DEBIAN_DIST=main

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# On Alpha, override this with debian/rules PETSC_ARCH=linux_alpha_dec binary
# to build PETSc libs with the Compaq compilers, though that requires at least:
# libots, cpml-ev(5|6), cxml-ev(5|6), cfal and ccc.
# Note that only arch-dependent .debs are generated when you do this.
PETSC_ARCH=$(DEB_HOST_MULTIARCH)

CPU_COUNT := $(shell /usr/bin/nproc )
export DEB_BUILD_OPTIONS ?= parallel=$(CPU_COUNT)

# This defines the MPI implementation to use.  The easiest way to override this
# default is to specify while building, e.g. debian/rules PETSC_MPI=lam binary.
# Again, only arch-dependent .debs are generated when you do this.
# Note that as of PETSc 2.3.0 this only specifies the name of the PETSc
# packages, the implementation is chosen by BuildSystem according to what's
# available at build time.
include /usr/share/mpi-default-dev/debian_defaults
PETSC_MPI=$(ARCH_DEFAULT_MPI_IMPL)

# facilitate build-time testing (invoking OpenMPI) when building in a chroot (pbuilder or sbuild)
export PRTE_MCA_plm_ssh_agent=/bin/false
export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
export OMPI_MCA_btl_base_warn_component_unused=0

HDF5_INCLUDE_DIR=$(shell for i in `pkg-config hdf5-mpi --cflags-only-I`; do echo $$i | grep "include/hdf5"; done | sed "s/-I//")
HDF5_LIBS=$(shell pkg-config hdf5-mpi --libs)
PETSC_HDF5_FLAGS=--with-hdf5-include=$(HDF5_INCLUDE_DIR) --with-hdf5-lib="$(HDF5_LIBS)"

VALGRIND_ARCH_LIST := amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64
ifeq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(VALGRIND_ARCH_LIST)$(space)))
  VALGRIND_CONFIG=--with-valgrind=1
else
  VALGRIND_CONFIG=
endif

PETSC_REAL_BUILD_DIR=$(PETSC_ARCH)-real
PETSC_REAL_DEBUG_BUILD_DIR=$(PETSC_ARCH)-real-debug
PETSC_COMPLEX_BUILD_DIR=$(PETSC_ARCH)-complex
PETSC_COMPLEX_DEBUG_BUILD_DIR=$(PETSC_ARCH)-complex-debug

PETSC64_REAL_BUILD_DIR=$(PETSC_ARCH)-real-64
PETSC64_REAL_DEBUG_BUILD_DIR=$(PETSC_ARCH)-real-debug-64
PETSC64_COMPLEX_BUILD_DIR=$(PETSC_ARCH)-complex-64
PETSC64_COMPLEX_DEBUG_BUILD_DIR=$(PETSC_ARCH)-complex-debug-64

# PETSC_VERSION is used for the package names, library sonames, and
# /usr/lib/petscdir subdirectory names.
export PETSC_VERSION=$(DEB_STRIPPED_UPSTREAM_VERSION)$(PETSC_EXT)
# use only major.minor as general soname (rather than major.minor.patch.build)
export PETSC_SONAME_VERSION=$(shell echo $(PETSC_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')

# PETSC_NAME is the install dir under /usr/lib and the base for package names
PETSC_NAME=petsc$(PETSC_SONAME_VERSION)
PETSC_REAL_SONAME=petsc-real$(PETSC_SONAME_VERSION)
PETSC_COMPLEX_SONAME=petsc-complex$(PETSC_SONAME_VERSION)

PETSC64_NAME=petsc64-$(PETSC_SONAME_VERSION)
PETSC64_REAL_SONAME=petsc64-real$(PETSC_SONAME_VERSION)
PETSC64_COMPLEX_SONAME=petsc64-complex$(PETSC_SONAME_VERSION)

# debian binary package names
PETSC_REAL_DEV_PACKAGE=lib$(PETSC_REAL_SONAME)-dev
PETSC_REAL_PACKAGE=lib$(PETSC_REAL_SONAME)
PETSC_REAL_DEBUG_PACKAGE=lib$(PETSC_REAL_SONAME)-dbg
PETSC_COMPLEX_DEV_PACKAGE=lib$(PETSC_COMPLEX_SONAME)-dev
PETSC_COMPLEX_PACKAGE=lib$(PETSC_COMPLEX_SONAME)
PETSC_COMPLEX_DEBUG_PACKAGE=lib$(PETSC_COMPLEX_SONAME)-dbg

PETSC64_REAL_DEV_PACKAGE=lib$(PETSC64_REAL_SONAME)-dev
PETSC64_REAL_PACKAGE=lib$(PETSC64_REAL_SONAME)
PETSC64_REAL_DEBUG_PACKAGE=lib$(PETSC64_REAL_SONAME)-dbg
PETSC64_COMPLEX_DEV_PACKAGE=lib$(PETSC64_COMPLEX_SONAME)-dev
PETSC64_COMPLEX_PACKAGE=lib$(PETSC64_COMPLEX_SONAME)
PETSC64_COMPLEX_DEBUG_PACKAGE=lib$(PETSC64_COMPLEX_SONAME)-dbg

PETSC_DEV_COMMON_PACKAGE=lib$(PETSC_NAME)-dev-common
export PETSC_DOC_PACKAGE=petsc$(PETSC_SONAME_VERSION)-doc
export PETSC_DEV_EXAMPLE_PACKAGE=lib$(PETSC_NAME)-dev-examples

# install into /usr/lib/petscdir rather than /usr/lib/petsc
# to allow /usr/lib/petsc to be configured by alternatives
export PETSC_REAL_DIR_PREFIX=/usr/lib/petscdir/$(PETSC_NAME)/$(PETSC_ARCH)-real
export PETSC_REAL_DEBUG_DIR_PREFIX=/usr/lib/petscdir/$(PETSC_NAME)/$(PETSC_ARCH)-real-debug
export PETSC_COMPLEX_DIR_PREFIX=/usr/lib/petscdir/$(PETSC_NAME)/$(PETSC_ARCH)-complex
export PETSC_COMPLEX_DEBUG_DIR_PREFIX=/usr/lib/petscdir/$(PETSC_NAME)/$(PETSC_ARCH)-complex-debug

export PETSC64_REAL_DIR_PREFIX=/usr/lib/petscdir/$(PETSC64_NAME)/$(PETSC_ARCH)-real
export PETSC64_REAL_DEBUG_DIR_PREFIX=/usr/lib/petscdir/$(PETSC64_NAME)/$(PETSC_ARCH)-real-debug
export PETSC64_COMPLEX_DIR_PREFIX=/usr/lib/petscdir/$(PETSC64_NAME)/$(PETSC_ARCH)-complex
export PETSC64_COMPLEX_DEBUG_DIR_PREFIX=/usr/lib/petscdir/$(PETSC64_NAME)/$(PETSC_ARCH)-complex-debug

PACKAGE_REAL_INSTALL_DIR=debian/tmp/$(PETSC_NAME)-real
export PACKAGE_REAL_DEBUG_INSTALL_DIR=debian/tmp/$(PETSC_NAME)-real-debug
PACKAGE_COMPLEX_INSTALL_DIR=debian/tmp/$(PETSC_NAME)-complex
PACKAGE_COMPLEX_DEBUG_INSTALL_DIR=debian/tmp/$(PETSC_NAME)-complex-debug

PACKAGE_64_REAL_INSTALL_DIR=debian/tmp/$(PETSC64_NAME)-real
export PACKAGE_64_REAL_DEBUG_INSTALL_DIR=debian/tmp/$(PETSC64_NAME)-real-debug
PACKAGE_64_COMPLEX_INSTALL_DIR=debian/tmp/$(PETSC64_NAME)-complex
PACKAGE_64_COMPLEX_DEBUG_INSTALL_DIR=debian/tmp/$(PETSC64_NAME)-complex-debug

PETSC64_CONFIG=--with-64-bit-indices

CONFIGURATION_OPTIONS=--with-shared-libraries --with-pic=1 \
	  --with-cc=mpicc --with-cxx=mpicxx --with-fc=mpif90 \
	  --with-cxx-dialect=C++11 \
	  --with-opencl=1 \
	  --with-blas-lib=-lblas --with-lapack-lib=-llapack \
	  --with-scalapack=1 --with-scalapack-lib=-lscalapack-$(PETSC_MPI) \
	  --with-fftw=1 --with-fftw-include=[] --with-fftw-lib="-lfftw3 -lfftw3_mpi" \
	  --with-yaml=1 \
	  $(VALGRIND_CONFIG) \
	  $(PETSC_HDF5_FLAGS) \
          --CXX_LINKER_FLAGS="-Wl,--no-as-needed -Wl,-z,defs" \
          --CC_LINKER_FLAGS="-Wl,-z,defs"

## petsc 3.22.3+dfsg1

=== debian/changelog ===
petsc (3.22.3+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Tue, 18 Feb 2025 15:00:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: petsc
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  "Adam C. Powell, IV" <hazelsct@debian.org>,
  Drew Parsons <dparsons@debian.org>,
@@ -269,3 +268,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)
 Breaks: libpetsc-complex3.10, libslepc-complex3.10, libpetsc3.10-dev-common, libpetsc3.10-dev-examples
+Replaces: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)

=== debian/rules ===
--- 
+++ 
@@ -151,8 +151,7 @@
 	  --with-fftw=1 --with-fftw-include=[] --with-fftw-lib="-lfftw3 -lfftw3_mpi" \
 	  --with-yaml=1 \
 	  $(VALGRIND_CONFIG) \
-	  $(PETSC_HDF5_FLAGS) \
-          --CXX_LINKER_FLAGS="-Wl,--no-as-needed -Wl,-z,defs" \
-          --CC_LINKER_FLAGS="-Wl,-z,defs"
+	  $(PETSC_HDF5_FLAGS) --CXX_LINKER_FLAGS="-Wl,--no-as-needed"
 
 
+# hypre is only supported with real numbers, not complex

## petsc 3.22.5+dfsg1

=== share/petsc/CMakeLists.txt ===
#
#  This is a SAMPLE CMakeLists.txt suitable for direct use with a new PETSc application or
#  you can add fragments of the material below to an existing application's CMakeLists.txt
#
#  Usage:  To build ex1 from ex1.c
#    rm -fr build
#    mkdir build
#    cd build
#    cmake ..
#    make
#    ./ex1
#
#  By default it gets both the compiler information and the library information from PETSc
#
cmake_minimum_required(VERSION 3.1.0)

set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

# set root of location to find PETSc's pkg-config
set(PETSC $ENV{PETSC_DIR}/$ENV{PETSC_ARCH})
set(ENV{PKG_CONFIG_PATH} ${PETSC}/lib/pkgconfig)

# Remove the lines below if you do not wish to have PETSc determine the compilers
execute_process ( COMMAND pkg-config PETSc --variable=ccompiler COMMAND tr -d '\n' OUTPUT_VARIABLE C_COMPILER)
SET(CMAKE_C_COMPILER ${C_COMPILER})
execute_process ( COMMAND pkg-config PETSc --variable=cxxcompiler COMMAND tr -d '\n' OUTPUT_VARIABLE CXX_COMPILER)
if (CXX_COMPILER)
  SET(CMAKE_CXX_COMPILER ${CXX_COMPILER})
endif (CXX_COMPILER)
execute_process ( COMMAND pkg-config PETSc --variable=fcompiler COMMAND tr -d '\n' OUTPUT_VARIABLE FORTRAN_COMPILER)
if (FORTRAN_COMPILER)
  SET(CMAKE_Fortran_COMPILER ${FORTRAN_COMPILER})
  enable_language(Fortran)
endif (FORTRAN_COMPILER)

#  tells CMake to build the application ex1 from the source file ex1.c
#  this must appear AFTER the compilers are set
project(ex1)
add_executable(ex1 ex1.c)

find_package(PkgConfig REQUIRED)
pkg_search_module(PETSC REQUIRED IMPORTED_TARGET PETSc)
target_link_libraries(ex1 PkgConfig::PETSC)

=== debian/changelog ===
petsc (3.22.5+dfsg1-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Apr 2025 11:48:33 +0200

petsc (3.22.5+dfsg1-2) unstable; urgency=medium

  * dev packages: complement Depends: mpi-default-dev with
    ${mpi-dev:Depends} as lower-versioned dependency on specific mpi
    implementation (openmpi or mpich), since petscsys.h checks that
    the current MPI version is compatible with the version petsc was
    compiled against. Will help avoid testing migration confusion when
    MPI packages are updated. Closes: #1102465.

 -- Drew Parsons <dparsons@debian.org>  Tue, 15 Apr 2025 19:07:42 +0200

petsc (3.22.5+dfsg1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Apr 2025 08:02:11 +0200

petsc (3.22.5+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * only use nproc to set parallel build if DEB_BUILD_OPTION_PARALLEL
    is not already defined. lintian test debian-rules-calls-nproc.
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 31 Mar 2025 13:03:44 +0200

petsc (3.22.4+dfsg1-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Mar 2025 18:04:24 +0100

petsc (3.22.4+dfsg1-2) unstable; urgency=medium

  * debian/tests: set OMPI_MCA_btl_tcp_if_include=lo to avoid openmpi
    whining about unreachable pairing. Needed by riscv64 in particular.
    cf. hypre Bug#1087784.

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Mar 2025 11:25:18 +0100

petsc (3.22.4+dfsg1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Mar 2025 08:32:08 +0100

petsc (3.22.4+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Mar 2025 15:25:50 +0100

petsc (3.22.3+dfsg1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Mar 2025 10:22:17 +0100

petsc (3.22.2+dfsg1-1ubuntu2) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Miriam España Acebal <miriam.espana@canonical.com>  Sun, 26 Jan 2025 11:05:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: petsc
 Section: devel
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  "Adam C. Powell, IV" <hazelsct@debian.org>,
  Drew Parsons <dparsons@debian.org>,
  Francesco Ballarin <francesco.ballarin@unicatt.it>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), python3, gfortran,
  pkgconf, dh-python,
  dh-fortran-mod,
@@ -89,7 +90,7 @@
 Section: libdevel
 Depends: libpetsc-real3.22 (= ${binary:Version}),
  libpetsc3.22-dev-common (= ${source:Version}),
- mpi-default-dev,
+ mpi-default-dev, ${mpi-dev:Depends},
  libhypre-dev (>= 2.15.1),
  libmumps-dev,
  gfortran,
@@ -235,7 +236,7 @@
 Section: libdevel
 Depends: libpetsc-complex3.22 (= ${binary:Version}),
  libpetsc3.22-dev-common (= ${source:Version}),
- mpi-default-dev,
+ mpi-default-dev, ${mpi-dev:Depends},
  libmumps-dev,
  gfortran,
  valgrind-mpi [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
@@ -268,4 +269,3 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)
 Breaks: libpetsc-complex3.10, libslepc-complex3.10, libpetsc3.10-dev-common, libpetsc3.10-dev-examples
-Replaces: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+include /usr/share/dpkg/buildopts.mk
+include /usr/share/mpi-default-dev/debian_defaults
 
 DEB_SOURCE_PACKAGE := $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
 DEB_VERSION := $(shell dpkg-parsechangelog -S Version)
@@ -15,6 +17,16 @@
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifeq ($(ARCH_DEFAULT_MPI_IMPL),mpich)
+    MPI_DEV=libmpich-dev
+else
+    MPI_DEV=libopenmpi-dev
+endif
+MPI_VERSION = $(shell dpkg-query -s $(MPI_DEV) | grep "Version:" | awk '{print $$2}')
+MPI_NOEPOCH_VERSION := $(shell echo $(MPI_VERSION) | cut -d: -f2-)
+MPI_UPSTREAM_VERSION := $(shell echo $(MPI_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
+MPI_STRIPPED_UPSTREAM_VERSION = $(shell echo $(MPI_UPSTREAM_VERSION) | sed -e 's/[\.\+]dfsg.*$$//' )
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append FLAGS
@@ -46,8 +58,10 @@
 # Note that only arch-dependent .debs are generated when you do this.
 PETSC_ARCH=$(DEB_HOST_MULTIARCH)
 
-CPU_COUNT := $(shell /usr/bin/nproc )
-export DEB_BUILD_OPTIONS ?= parallel=$(CPU_COUNT)
+ifndef DEB_BUILD_OPTION_PARALLEL
+  CPU_COUNT := $(shell /usr/bin/nproc )
+  export DEB_BUILD_OPTIONS ?= parallel=$(CPU_COUNT)
+endif
 
 # This defines the MPI implementation to use.  The easiest way to override this
 # default is to specify while building, e.g. debian/rules PETSC_MPI=lam binary.
@@ -142,16 +156,3 @@
 
 PETSC64_CONFIG=--with-64-bit-indices
 
-CONFIGURATION_OPTIONS=--with-shared-libraries --with-pic=1 \
-	  --with-cc=mpicc --with-cxx=mpicxx --with-fc=mpif90 \
-	  --with-cxx-dialect=C++11 \
-	  --with-opencl=1 \
-	  --with-blas-lib=-lblas --with-lapack-lib=-llapack \
-	  --with-scalapack=1 --with-scalapack-lib=-lscalapack-$(PETSC_MPI) \
-	  --with-fftw=1 --with-fftw-include=[] --with-fftw-lib="-lfftw3 -lfftw3_mpi" \
-	  --with-yaml=1 \
-	  $(VALGRIND_CONFIG) \
-	  $(PETSC_HDF5_FLAGS) --CXX_LINKER_FLAGS="-Wl,--no-as-needed"
-
-
-# hypre is only supported with real numbers, not complex

## petsc 3.23.1+dfsg1

=== debian/changelog ===
petsc (3.23.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches
    - build-no-rpath.patch
    - ignore_git_hidden_folder_in_petscclone_py.patch
  * Drop patch drop_bison_MR8267.patch, since the upstream MR has been released
    with 3.23.1
  * In debian/rules, drop images from community pages to avoid privacy breaches

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 01 May 2025 15:24:47 +0000

petsc (3.23.0+dfsg1-1exp1) experimental; urgency=medium

  [ Francesco Ballarin ]
  * New upstream release: new ABI 3.23.
  * Drop the following unnecessary patches:
    - soname_extension and soname_extension_MR8026.patch: they were backports of
      upstream MR7989 and MR8026, which have now been inclueded in the 3.23.0
      release.
    - lib-versions.patch: upstream now correctly handles removing shared objects
      with non default suffix.
    - mumps.patch: seems to have been last used in 2012.
    - petscmatmod_split.patch: the dummy module was removed in upstream MR7517.
  * Refresh the following patches:
    - clean-no-double-colon.patch
    - label_tests.patch
    - petscmatmod_split.patch
  * Add patch ignore_git_hidden_folder_in_petscclone_py.patch:
    - the file config/PETSc/options/petscclone.py tries to determine whether
      PETSc is getting installed from a source tarball, or from a clone of its
      own git repository. In Debian's configuration we are downloading a
      tarball, and then storing the files in our own git repository. Doing this
      triggers a
         raise RuntimeError('Your petsc source tree is broken. Use "git status"
                            to check, or remove the entire directory and start
                            all over againd')
      which in our case is a false positive.
      The patch ignores the safety check, since it has not effect on the rest of
      the build.
  * Backport upstream MR 8267 into drop_bison_MR8267.patch
    - Upstream MR 7495 incorrectly added a Build-Depends on bison,
      which was actually not necessary because PTScotch requires bison
      only when building PTScotch itself, not when linking against it.
      MR 7495 made into the release.
    - Upstream MR 8267 reverted the addition of bison to Build-Depends. The
      patch will be dropped as soon as it will be included in a next release.

 -- Drew Parsons <dparsons@debian.org>  Wed, 16 Apr 2025 03:11:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: petsc
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  "Adam C. Powell, IV" <hazelsct@debian.org>,
  Drew Parsons <dparsons@debian.org>,
@@ -56,7 +55,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
-Depends: libpetsc-real3.22-dev, ${misc:Depends}
+Depends: libpetsc-real3.23-dev, ${misc:Depends}
 Description: Virtual package depending on latest PETSc development package
  PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
  of data structures and routines for the scalable (parallel) solution of
@@ -72,7 +71,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
-Depends: libpetsc-complex3.22-dev, ${misc:Depends}
+Depends: libpetsc-complex3.23-dev, ${misc:Depends}
 Description: Virtual package depending on latest PETSc development package
  PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
  of data structures and routines for the scalable (parallel) solution of
@@ -84,12 +83,12 @@
  This is a dummy package which depends on the most recent version of
  libpetsc-complexX-dev with complex number support (X=version).
 
-Package: libpetsc-real3.22-dev
-Multi-Arch: same
-Architecture: any
-Section: libdevel
-Depends: libpetsc-real3.22 (= ${binary:Version}),
- libpetsc3.22-dev-common (= ${source:Version}),
+Package: libpetsc-real3.23-dev
+Multi-Arch: same
+Architecture: any
+Section: libdevel
+Depends: libpetsc-real3.23 (= ${binary:Version}),
+ libpetsc3.23-dev-common (= ${source:Version}),
  mpi-default-dev, ${mpi-dev:Depends},
  libhypre-dev (>= 2.15.1),
  libmumps-dev,
@@ -99,8 +98,8 @@
  python3, ${python3:Depends}
 Conflicts: libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2),
  libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
-Recommends: libpetsc3.22-dev-examples, ksh | mksh | pdksh | zsh
-Suggests: petsc-dev, libpetsc-real3.22-dbg (= ${binary:Version}), petsc3.22-doc, libluminate-dev
+Recommends: libpetsc3.23-dev-examples, ksh | mksh | pdksh | zsh
+Suggests: petsc-dev, libpetsc-real3.23-dbg (= ${binary:Version}), petsc3.23-doc, libluminate-dev
 Description: Static libraries, shared links, header files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -111,32 +110,32 @@
  features of the PETSc libraries.
  .
  This package provides the development files for building applications
- using PETSc 3.22 with real numbers.
-
-Package: libpetsc-real3.22
+ using PETSc 3.23 with real numbers.
+
+Package: libpetsc-real3.23
 Architecture: any
 Multi-Arch: same
 Section: libs
-Provides: libpetsc3.22, ${t64:Provides}
+Provides: libpetsc3.23, ${t64:Provides}
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libpetsc3.6 (<< 3.6.2.dfsg1-4)
 Breaks: libpetsc-real3.10, libslepc-real3.10, libpetsc3.10-dev-common, libpetsc3.10-dev-examples
 Replaces: libpetsc3.6 (<< 3.6.2.dfsg1-4)
-Description: Shared libraries for version 3.22 of PETSc
- PETSc is the "Portable Extensible Toolkit for Scientific
- Computation", a suite of data structures and routines for the
- scalable (parallel) solution of scientific applications modeled by
- partial differential equations.  It employs the MPI standard for all
- message-passing communication.  Several sample scientific
- applications, as well as various papers and talks, demonstrate the
- features of the PETSc libraries.
- .
- This package contains the PETSc 3.22 shared library for real numbers.
- .
- It provides soname libpetsc-real3.22
-
-Package: libpetsc3.22-dev-common
+Description: Shared libraries for version 3.23 of PETSc
+ PETSc is the "Portable Extensible Toolkit for Scientific
+ Computation", a suite of data structures and routines for the
+ scalable (parallel) solution of scientific applications modeled by
+ partial differential equations.  It employs the MPI standard for all
+ message-passing communication.  Several sample scientific
+ applications, as well as various papers and talks, demonstrate the
+ features of the PETSc libraries.
+ .
+ This package contains the PETSc 3.23 shared library for real numbers.
+ .
+ It provides soname libpetsc-real3.23
+
+Package: libpetsc3.23-dev-common
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
@@ -154,7 +153,7 @@
  libyaml-dev,
  ${misc:Depends}, ${python3:Depends},
  ${sphinxdoc:Depends}
-Recommends: libpetsc-real3.22-dev | libpetsc-complex3.22-dev
+Recommends: libpetsc-real3.23-dev | libpetsc-complex3.23-dev
 Description: Common header and support dev files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -165,17 +164,17 @@
  features of the PETSc libraries.
  .
  This package provides header and other support files common to the
- various dev packages (with real or complex number support) for PETSc 3.22.
-
-Package: libpetsc3.22-dev-examples
+ various dev packages (with real or complex number support) for PETSc 3.23.
+
+Package: libpetsc3.23-dev-examples
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
 Depends: ${misc:Depends}, ${python3:Depends},
  libjs-mathjax
 Recommends: ksh | mksh | pdksh | zsh,
- libpetsc-real3.22-dev | libpetsc-complex3.22-dev | libpetsc-real3.22-dbg | libpetsc-complex3.22-dbg
-Suggests: petsc3.22-doc
+ libpetsc-real3.23-dev | libpetsc-complex3.23-dev | libpetsc-real3.23-dbg | libpetsc-complex3.23-dbg
+Suggests: petsc3.23-doc
 Description: Static libraries, shared links, header files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -185,19 +184,19 @@
  applications, as well as various papers and talks, demonstrate the
  features of the PETSc libraries.
  .
- This package provides example, test, and tutorial scripts for PETSc 3.22.
-
-Package: libpetsc-real3.22-dbg
+ This package provides example, test, and tutorial scripts for PETSc 3.23.
+
+Package: libpetsc-real3.23-dbg
 Architecture: any
 Multi-Arch: same
 Section: debug
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpetsc-real3.22-dev (= ${binary:Version}),
- libpetsc3.22-dev-common (= ${source:Version}),
+Depends: libpetsc-real3.23-dev (= ${binary:Version}),
+ libpetsc3.23-dev-common (= ${source:Version}),
  ${misc:Depends}, ${shlibs:Depends}, ${fortran:Depends},
  python3, ${python3:Depends}
-Recommends: libpetsc3.22-dev-examples, ksh | mksh | pdksh | zsh
-Provides: petsc3.22-dbg, ${t64:Provides}
+Recommends: libpetsc3.23-dev-examples, ksh | mksh | pdksh | zsh
+Provides: petsc3.23-dbg, ${t64:Provides}
 Description: Debugging libraries for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -208,17 +207,17 @@
  features of the PETSc libraries.
  .
  This package provides the development files and debugging libraries for
- debugging applications using PETSc 3.22 with real numbers.
+ debugging applications using PETSc 3.23 with real numbers.
  .
  Libraries include unstripped symbols, but this package is also built with
  internal PETSc debugging activated (--with-debugging=1).
 
-Package: petsc3.22-doc
+Package: petsc3.23-doc
 Architecture: all
 Multi-Arch: foreign
 Section: doc
 Depends: sphinx-common, libjs-sphinxdoc, ${misc:Depends}, ${sphinxdoc:Depends}
-Suggests: libpetsc-real3.22-dev (= ${binary:Version}), illuminator-doc
+Suggests: libpetsc-real3.23-dev (= ${binary:Version}), illuminator-doc
 Description: Documentation and examples for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -228,14 +227,14 @@
  applications, as well as various papers and talks, demonstrate the
  features of the PETSc libraries.
  .
- This package contains documentation for developing with PETSc 3.22.
-
-Package: libpetsc-complex3.22-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: libpetsc-complex3.22 (= ${binary:Version}),
- libpetsc3.22-dev-common (= ${source:Version}),
+ This package contains documentation for developing with PETSc 3.23.
+
+Package: libpetsc-complex3.23-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: libpetsc-complex3.23 (= ${binary:Version}),
+ libpetsc3.23-dev-common (= ${source:Version}),
  mpi-default-dev, ${mpi-dev:Depends},
  libmumps-dev,
  gfortran,
@@ -244,8 +243,8 @@
  python3, ${python3:Depends}
 Conflicts: libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2),
  libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
-Recommends: libpetsc3.22-dev-examples, ksh | mksh | pdksh | zsh
-Suggests: petsc-dev, libpetsc-complex3.22-dbg (= ${binary:Version}), petsc3.22-doc, libluminate-dev
+Recommends: libpetsc3.23-dev-examples, ksh | mksh | pdksh | zsh
+Suggests: petsc-dev, libpetsc-complex3.23-dbg (= ${binary:Version}), petsc3.23-doc, libluminate-dev
 Description: Static libraries, shared links, header files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -256,11 +255,11 @@
  features of the PETSc libraries.
  .
  This package provides the development files for building applications
- using PETSc 3.22 with support for complex numbers.
+ using PETSc 3.23 with support for complex numbers.
  .
  Note HYPRE is not supported with PETSc complex.
 
-Package: libpetsc-complex3.22
+Package: libpetsc-complex3.23
 Provides: ${t64:Provides}
 Architecture: any
 Multi-Arch: same
@@ -269,3 +268,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)
 Breaks: libpetsc-complex3.10, libslepc-complex3.10, libpetsc3.10-dev-common, libpetsc3.10-dev-examples
+Replaces: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)

## petsc 3.24.1%2Bdfsg1

=== debian/changelog ===
petsc (3.24.1+dfsg1-4) unstable; urgency=medium

  * debian patch fix_complex_overloading_MR8820.diff applies upstream
    MR#8820 to fix complex type overloading introduced by MR#8736.
    See deal.ii bug#1121248.

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Nov 2025 13:25:53 +0100

petsc (3.24.1+dfsg1-3) unstable; urgency=medium

  * accept that MUMPS is no longer available on all arches
    (it fails to run on hppa and powerpc)
  * update debian/watch to v5 format

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Nov 2025 11:48:42 +0100

petsc (3.24.1+dfsg1-2) unstable; urgency=medium

  * upload to unstable for transition #1121012

 -- Drew Parsons <dparsons@debian.org>  Fri, 21 Nov 2025 17:57:25 +0100

petsc (3.24.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release: new ABI 3.24.
  * update for new SCOTCH configuration
    - PETSc defines PETScInt as PETScInt64 when --with-64-bit-indices
      is active, so need 64-bit integers as well as 64-bit indexing
      i.e. 64-bit build uses -ptscotch_64i not -lptscotch_64
      (equivalent to former ptscotch-int64)
    - link -lscotch[_64i] after -lptscotch[_64i] since PETSc
      configuration system explicitly tests for SCOTCH_archBuild
    - Build-Depends: libptscotch-64i-dev,
      libpetsc64-{real,complex}3.24-{dev,dbg} Depends: libptscotch-64i-dev
    - switch to hypre-bigint (hypre-64) instead of hypre-mixedint
      (hypre-64m) for consistency.
      Depends: libhypre64-dev instead of libhypre64m-dev
    - note petsc64 must continue to use mumps with 32-bit integers
      even with 64-bit ordering, since mump's INTSIZE64 implementation
      would need 64-bit MPI.

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Nov 2025 00:40:06 +0100
